nfft_mv_plan_complex Struct Reference

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftw_complex * | f_hat
| Fourier coefficients. More...
fftw_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...

## Detailed Description

Definition at line 192 of file nfft3.h.

## Field Documentation

NFFT_INT nfft_mv_plan_complex::N_total

Total number of Fourier coefficients.

Definition at line 192 of file nfft3.h.

NFFT_INT nfft_mv_plan_complex::M_total

Total number of samples.

Definition at line 192 of file nfft3.h.

fftw_complex* nfft_mv_plan_complex::f_hat

Fourier coefficients.

Definition at line 192 of file nfft3.h.

fftw_complex* nfft_mv_plan_complex::f

Samples.

Definition at line 192 of file nfft3.h.

void(* nfft_mv_plan_complex::mv_trafo) (void *)

Transform.

Definition at line 192 of file nfft3.h.

void(* nfft_mv_plan_complex::mv_adjoint) (void *)

Adjoint transform.

Definition at line 192 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h